std::binary_function< _Arg1, _Arg2, _Result > Struct Template Reference
Utilities » Function Objects

`#include <stl_function.h>`

Inheritance diagram for std::binary_function< _Arg1, _Arg2, _Result >:
[legend]

## Public Types

typedef _Arg1 | first_argument_type
typedef _Result | result_type
typedef _Arg2 | second_argument_type

## Detailed Description

template<typename _Arg1, typename _Arg2, typename _Result>
struct std::binary_function< _Arg1, _Arg2, _Result >

This is one of the functor base classes.

Definition at line 118 of file stl_function.h.

## Member Typedef Documentation

## first_argument_type

template<typename _Arg1 , typename _Arg2 , typename _Result >

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

`first_argument_type` is the type of the first argument

Definition at line 121 of file stl_function.h.

## result_type

template<typename _Arg1 , typename _Arg2 , typename _Result >

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

`result_type` is the return type

Definition at line 127 of file stl_function.h.

## second_argument_type

template<typename _Arg1 , typename _Arg2 , typename _Result >

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

`second_argument_type` is the type of the second argument

Definition at line 124 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h